put
https://app.fracttal.com/api/work_orders_labels/
Through this API, you can update the labels associated with a work order.
Important Notes:
- Pre-validation: If any of the labels sent in
label_descriptionsdo not exist or are disabled, the request will return a 400 error and no changes will be made. - Case-sensitive: The label names must match exactly as configured in the system (Uppercase/Lowercase).
Input Parameters
Information can be filtered using the following body:
| Parameter | Type | Required | Description |
|---|---|---|---|
folio | Text | Yes* | Work Order folio (e.g., "WO-151-2026"). Required if not sent in the URL. |
label_descriptions | Array | Yes | Array with the descriptions of the labels to assign. |
account_user | Text | Yes | Code of the user performing the operation. It must correspond to a valid code in the personnel system with an associated account. |
Note: The folio field can be sent in the URL or in the body. If sent in both places, the URL value prevails.
Output Parameters
| Parameter | Type | Description |
|---|---|---|
wo_folio | Text | Work Order folio (e.g., "WO-151-2026") |
labels_count | Integer | Total number of labels linked after the update. |
labels | Array | List of objects with information about each label (id, color, description, etc.). |
Example:
Request: (PUT) https://app.fracttal.com/api/work_orders_labels/WO-151-2026
{
"account_code": "USR001",
"folio": "WO-151-2026",
"label_descriptions": [
"Pendiente",
"Pendiente de autorización del cliente"
]
}{
"success": true,
"message": "200",
"total": 2,
"data": {
"wo_folio": "WO-151-2026",
"id_status": 3,
"labels_count": 2,
"id_work_order": 30079240,
"labels": [
{
"id": 12,
"description": "Pendiente",
"color": "1c2749",
"enabled": true
},
{
"id": 744,
"description": "Pendiente de autorización del cliente",
"color": "080de8",
"enabled": true
}
]
}
} 200